public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/hashicorp-checkpoint/
Date: Sat, 20 Apr 2024 07:44:30 +0000 (UTC)	[thread overview]
Message-ID: <1713599055.4032aa96f807f9a0094b2cb46df3ed1c5d8067a4.juippis@gentoo> (raw)

commit:     4032aa96f807f9a0094b2cb46df3ed1c5d8067a4
Author:     Guillaume Seren <guillaumeseren <AT> gmail <DOT> com>
AuthorDate: Thu Mar 14 13:40:01 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Apr 20 07:44:15 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4032aa96

dev-ruby/hashicorp-checkpoint: Add support ruby33

Signed-off-by: Guillaume Seren <guillaumeseren <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/35428
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 .../hashicorp-checkpoint-0.1.5-r3.ebuild           | 34 ++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r3.ebuild b/dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r3.ebuild
new file mode 100644
index 000000000000..f333efc74aed
--- /dev/null
+++ b/dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Internal HashiCorp service to check version information"
+HOMEPAGE="https://www.hashicorp.com"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+# Tests require network
+RESTRICT="test"
+
+ruby_add_bdepend "
+	test? ( dev-ruby/rspec-its )
+"
+
+all_ruby_prepare() {
+	# remove bundler support
+	sed -i '/[Bb]undler/d' Rakefile || die
+
+	# Make tests compatible with new ruby versions
+	sed -i -e '/check/ s/opts/**opts/' spec/checkpoint_spec.rb || die
+}


             reply	other threads:[~2024-04-20  7:44 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-20  7:44 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-02  7:00 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/hashicorp-checkpoint/ Hans de Graaff
2023-04-27  7:42 Hans de Graaff
2023-04-01  8:26 Hans de Graaff
2022-08-17 15:39 Sam James
2021-03-15  7:45 Joonas Niilola
2021-03-13  8:50 Hans de Graaff
2021-03-13  7:49 Hans de Graaff
2021-03-13  7:49 Hans de Graaff
2021-03-13  7:49 Hans de Graaff
2021-03-13  7:49 Hans de Graaff
2020-09-15  6:00 Hans de Graaff
2020-07-11  6:03 Georgy Yakovlev
2019-05-20 20:32 Georgy Yakovlev
2019-02-02  7:55 Hans de Graaff
2018-11-30  5:29 Georgy Yakovlev
2018-05-20  0:16 Aaron Bauman
2018-05-03  4:42 Hans de Graaff
2018-02-03 18:22 Hans de Graaff
2018-01-20  6:31 Hans de Graaff
2017-06-10  7:31 Hans de Graaff
2017-02-05  9:59 Hans de Graaff
2017-02-05  9:59 Hans de Graaff
2016-10-31 12:09 Patrice Clement
2016-01-20  7:19 Ian Delaney
2016-01-20  7:19 Ian Delaney
2016-01-20  7:19 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1713599055.4032aa96f807f9a0094b2cb46df3ed1c5d8067a4.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox